From cb791763fbe6d16cbb37f703575dbe5bf6d71e8b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Paul=20K=C3=BChne?= <fkuehne@videolan.org>
Date: Tue, 31 Jul 2012 19:40:39 +0200
Subject: [PATCH] arm_neon: updated syntax to suit the more strict current
 clang releases

Needs testing on Android / Linux.

Thanks to Mans Rullgard for the help.
---
 modules/arm_neon/i420_rgb.S  |    3 ++-
 modules/arm_neon/i420_yuyv.S |    5 +++--
 modules/arm_neon/i422_yuyv.S |    5 +++--
 modules/arm_neon/nv12_rgb.S  |    3 ++-
 modules/arm_neon/nv21_rgb.S  |    3 ++-
 modules/arm_neon/yuyv_i422.S |    5 +++--
 6 files changed, 15 insertions(+), 9 deletions(-)

diff --git a/modules/arm_neon/i420_rgb.S b/modules/arm_neon/i420_rgb.S
index cbf946d..153046f 100644
--- a/modules/arm_neon/i420_rgb.S
+++ b/modules/arm_neon/i420_rgb.S
@@ -21,6 +21,7 @@
 
 	.fpu neon
 	.text
+	.syntax unified
 
 /* ARM */
 #define O1	r0
@@ -108,7 +109,7 @@ i420_rgb_neon:
 	sub			YPAD,	YPITCH,	WIDTH
 
 loop_row:
-	movgts	COUNT,	WIDTH
+	movsgt	COUNT,	WIDTH
 	add		O2,	O1,	OPITCH
 	add		Y2,	Y1,	YPITCH
 	/* exit if all rows have been processed */
diff --git a/modules/arm_neon/i420_yuyv.S b/modules/arm_neon/i420_yuyv.S
index 8d28264..e1ecc35 100644
--- a/modules/arm_neon/i420_yuyv.S
+++ b/modules/arm_neon/i420_yuyv.S
@@ -20,6 +20,7 @@
 
 	.fpu neon
 	.text
+	.syntax unified
 
 #define O1	r0
 #define O2	r1
@@ -46,7 +47,7 @@ i420_yuyv_neon:
 	sub		OPAD,	OPITCH,	WIDTH,	lsl #1
 	sub		YPAD,	YPITCH,	WIDTH
 1:
-	movgts		COUNT,	WIDTH
+	movsgt		COUNT,	WIDTH
 	add		O2,	O1,	OPITCH
 	add		Y2,	Y1,	YPITCH
 	pople		{r4-r8,r10-r11,pc}
@@ -85,7 +86,7 @@ i420_uyvy_neon:
 	sub		OPAD,	OPITCH,	WIDTH,	lsl #1
 	sub		YPAD,	YPITCH,	WIDTH
 1:
-	movgts		COUNT,	WIDTH
+	movsgt		COUNT,	WIDTH
 	add		O2,	O1,	OPITCH
 	add		Y2,	Y1,	YPITCH
 	pople		{r4-r8,r10-r11,pc}
diff --git a/modules/arm_neon/i422_yuyv.S b/modules/arm_neon/i422_yuyv.S
index 6030f52..617b96e 100644
--- a/modules/arm_neon/i422_yuyv.S
+++ b/modules/arm_neon/i422_yuyv.S
@@ -20,6 +20,7 @@
 
 	.fpu neon
 	.text
+	.syntax unified
 
 #define O	r0
 #define OPAD	r1
@@ -42,7 +43,7 @@ i422_yuyv_neon:
 	sub		OPAD,	OPAD,	WIDTH,	lsl #1
 	sub		YPAD,	YPAD,	WIDTH
 1:
-	movgts		COUNT,	WIDTH
+	movsgt		COUNT,	WIDTH
 	pople		{r4-r6,pc}
 2:
 	pld		[U, #64]
@@ -75,7 +76,7 @@ i422_uyvy_neon:
 	sub		OPAD,	OPAD,	WIDTH,	lsl #1
 	sub		YPAD,	YPAD,	WIDTH
 1:
-	movgts		COUNT,	WIDTH
+	movsgt		COUNT,	WIDTH
 	pople		{r4-r6,pc}
 2:
 	pld		[U, #64]
diff --git a/modules/arm_neon/nv12_rgb.S b/modules/arm_neon/nv12_rgb.S
index 94c60a7..4b23181 100644
--- a/modules/arm_neon/nv12_rgb.S
+++ b/modules/arm_neon/nv12_rgb.S
@@ -21,6 +21,7 @@
 
 	.fpu neon
 	.text
+	.syntax unified
 
 /* ARM */
 #define O1	r0
@@ -108,7 +109,7 @@ nv12_rgb_neon:
 	sub			YPAD,	YPITCH,	WIDTH
 
 loop_row:
-	movgts	COUNT,	WIDTH
+	movsgt	COUNT,	WIDTH
 	add		O2,	O1,	OPITCH
 	add		Y2,	Y1,	YPITCH
 	/* exit if all rows have been processed */
diff --git a/modules/arm_neon/nv21_rgb.S b/modules/arm_neon/nv21_rgb.S
index ed25fc8..2640a72 100644
--- a/modules/arm_neon/nv21_rgb.S
+++ b/modules/arm_neon/nv21_rgb.S
@@ -21,6 +21,7 @@
 
 	.fpu neon
 	.text
+	.syntax unified
 
 /* ARM */
 #define O1	r0
@@ -108,7 +109,7 @@ nv21_rgb_neon:
 	sub			YPAD,	YPITCH,	WIDTH
 
 loop_row:
-	movgts	COUNT,	WIDTH
+	movsgt	COUNT,	WIDTH
 	add		O2,	O1,	OPITCH
 	add		Y2,	Y1,	YPITCH
 	/* exit if all rows have been processed */
diff --git a/modules/arm_neon/yuyv_i422.S b/modules/arm_neon/yuyv_i422.S
index d149193..40169e9 100644
--- a/modules/arm_neon/yuyv_i422.S
+++ b/modules/arm_neon/yuyv_i422.S
@@ -20,6 +20,7 @@
 
 	.fpu neon
 	.text
+	.syntax unified
 
 #define I	r0
 #define IPAD	r1
@@ -42,7 +43,7 @@ yuyv_i422_neon:
 	sub		YPAD,	YPAD,	WIDTH
 	sub		IPAD,	IPAD,	WIDTH,	lsl #1
 1:
-	movgts		COUNT,	WIDTH
+	movsgt		COUNT,	WIDTH
 	pople		{r4-r6,pc}
 2:
 	pld		[I, #64]
@@ -73,7 +74,7 @@ uyvy_i422_neon:
 	sub		YPAD,	YPAD,	WIDTH
 	sub		IPAD,	IPAD,	WIDTH,	lsl #1
 1:
-	movgts		COUNT,	WIDTH
+	movsgt		COUNT,	WIDTH
 	pople		{r4-r6,pc}
 2:
 	pld		[I, #64]
-- 
1.7.7.5 (Apple Git-26)

